| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
HistogramAgent Class Reference

HistogramAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria. More...

`#include <GaudiKernel/HistogramAgent.h>`

Inheritance diagram for HistogramAgent:
[legend]
Collaboration diagram for HistogramAgent:
[legend]

## Public Member Functions
| HistogramAgent ()=default
| Default creator. More...
| ~HistogramAgent () override=default
| Destructor. More...
IDataSelector * | selectedObjects ()
| Return the set of selected DataObjects. More...
bool | analyse (IRegistry *pRegistry, int) override
| Analyses a given directory entry. More...
| HistogramAgent ()
| Default creator. More...
virtual | ~HistogramAgent ()
| Destructor. More...
IDataSelector * | selectedObjects ()
| Return the set of selected DataObjects. More...
bool | analyse (IRegistry *pRegistry, int) override
| Analyses a given directory entry. More...
Public Member Functions inherited from IDataStoreAgent
virtual | ~IDataStoreAgent ()=default
| destructor More...

## Protected Attributes
IDataSelector | m_objects

## Detailed Description

HistogramAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria.

The default behaviour is to collect all entries.

Author
  Markus Frank

Definition at line 17 of file HistogramAgent.h.

## Constructor & Destructor Documentation

HistogramAgent::HistogramAgent | ( |  | ) |
| default

Default creator.

HistogramAgent::~HistogramAgent | ( |  | ) |
| override default

Destructor.

HistogramAgent::HistogramAgent | ( |  | ) |
| inline

Default creator.

Definition at line 23 of file HistogramAgent.h.

23 {
24 }

virtual HistogramAgent::~HistogramAgent | ( |  | ) |
| inline virtual

Destructor.

Definition at line 26 of file HistogramAgent.h.

26 {
27 }

## Member Function Documentation

bool HistogramAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |
| ) |  |
| inline override virtual

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 32 of file HistogramAgent.h.

32 {
33 DataObject* obj = pRegistry->object();
34 if ( obj && obj->clID() != CLID_StatisticsFile ) {
35 m_objects.push_back(obj);
36 return true;
37 }
38 return false;
39 }
std::vector::push_back
T push_back(T...args)
DataObject::clID
virtual const CLID & clID() const
Retrieve reference to class definition structure.
Definition: DataObject.cpp:68
IRegistry::object
virtual DataObject * object() const =0
Retrieve object behind the link.
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

bool HistogramAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |
| ) |  |
| inline override virtual

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 33 of file HistogramAgent.h.

33 {
34 DataObject* obj = pRegistry->object();
35 if ( 0 != obj ) {
36 if ( obj->clID() != CLID_StatisticsFile ) {
37 m_objects.push_back(obj);
38 return true;
39 }
40 }
41 return false;
42 }
std::vector::push_back
T push_back(T...args)
DataObject::clID
virtual const CLID & clID() const
Retrieve reference to class definition structure.
Definition: DataObject.cpp:68
IRegistry::object
virtual DataObject * object() const =0
Retrieve object behind the link.
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

IDataSelector* HistogramAgent::selectedObjects | ( |  | ) |
| inline

Return the set of selected DataObjects.

Definition at line 28 of file HistogramAgent.h.

28 {
29 return &m_objects;
30 }
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19

IDataSelector* HistogramAgent::selectedObjects | ( |  | ) |
| inline

Return the set of selected DataObjects.

Definition at line 29 of file HistogramAgent.h.

29 {
30 return &m_objects;
31 }
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19

## Member Data Documentation

IDataSelector HistogramAgent::m_objects
| protected

Definition at line 19 of file HistogramAgent.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/ApplicationMgr/HistogramAgent.h